Subject: [bug#75966] [PATCH] gnu: qtwebengine: Set default path for QtWebEngineProcess.

From: 宋文武 <[email-masked]>
Date: Sat, 01 Feb 2025 12:06:49 +0800

Maxim Cournoyer <[email-masked]> writes:

> Could you mention what is the rationale in the commit message?  Is the
> QTWEBENGINEPROCESS_PATH environment variable problematic is some ways
> (perhaps mixing Qt5 and Qt6 qtwebengine?).

It seems fine to mixing QtWebEngineProcess from Qt5 and Qt6, but the
default path is wrong due to we have different install prefixes,
normally there is no need to set QTWEBENGINEPROCESS_PATH ourself.

>
> Shouldn't we keep the native-search-path for it?  Perhaps not all
> software are patched yet, and it shouldn't hurt?  Or would it defeat the
> aim of this series?

The rationale is to drop the wrapping for QTWEBENGINEPROCESS_PATH, as
there is no need to use it if the default path is working from the beginning.

v2 patches send, thanks.